VarnishAdmin::ban
VarnishAdmin::clearPanic
VarnishAdmin
PHP Manual

# VarnishAdmin::banUrl

(PECL varnish >= 0.3)

VarnishAdmin::banUrl — Ban an URL using a VCL expression

### Description

public int VarnishAdmin::banUrl ( string `$vcl_regex` )

### Parameters

`vcl_regex`

  URL regular expression in PCRE compatible syntax. It's based on the ban.url varnish command.

### Return Values

Returns the varnish command status.

VarnishAdmin::ban
VarnishAdmin::clearPanic
VarnishAdmin
PHP Manual